Bug 42178 - [PATCH] port net/tightvnc and net/vnc missing lib_depends
[PATCH] port net/tightvnc and net/vnc missing lib_depends
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-ports
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-30 02:40 UTC by dhagan
Modified: 2003-01-08 10:26 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (107 bytes, patch)
2002-08-30 02:40 UTC, dhagan
no flags Details | Diff
tightvnc.Makefile.diff (464 bytes, patch)
2002-08-30 02:40 UTC, dhagan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dhagan 2002-08-30 02:40:01 UTC
Building /usr/ports/net/tightvnc without having libXpm (ports/graphics/xpm) 
preinstalled results in link failures.  Tightvnc's Makefile doesn't declare
dependency on libXpm.

This also happens with /usr/ports/net/vnc.

Fix: Apply below patch (uuencoded copy included).  For vnc, add a lib_depends line
as appropriate.


MAINTAINER=    ports@FreeBSD.org

-LIB_DEPENDS=   jpeg:${PORTSDIR}/graphics/jpeg
+LIB_DEPENDS=   jpeg:${PORTSDIR}/graphics/jpeg \
+               xpm:${PORTSDIR}/graphics/xpm

 USE_BZIP2=     yes
 WRKSRC=                ${WRKDIR}/vnc_unixsrc

How-To-Repeat: 	
On a system with out libXpm, cd /usr/ports/net/tightvnc && make install.
Witness link errors.
Comment 1 Joe Marcus Clarke freebsd_committer 2002-08-30 02:45:09 UTC
Consider adding:

USE_XPM=	yes

to the Makefile instead of calling a direct dependency on libxpm.

Joe
-- 
Joe Marcus Clarke
FreeBSD GNOME Team	::	marcus@FreeBSD.org
Comment 2 ijliao freebsd_committer 2002-10-07 08:03:20 UTC
State Changed
From-To: open->feedback

do tightvnc/vnc need Xpm ? 
I just build the latest tightvnc without Xpm installed
Comment 3 ijliao freebsd_committer 2003-01-08 10:25:46 UTC
State Changed
From-To: feedback->closed

superseded by pr/46842